Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

#1 Le 23/08/2010, à 13:01

Aurekill

[Résolu] Problème : Mon Ubuntu est passé en anglais tout seul !

Bonjour, mon problème est dans le titre, mais il ne s'arrête pas à ça, tous les logiciels qui se basaient sur le langage d'Ubuntu sont passés en anglais : Chromium, Gimp, tout !
Je ne peux plus lancer Firefox, quand je le lance, dans la barre des tâches il y a écrit : Starting Firefox, puis au bout de 15 secondes il disparaît, j'ai essayé de le lancer par Alt+F2, ça ne marche pas, mais ce qui m'énerve c'est que comme Chromium est passé en anglais, tous les sites multilingues qui se basent sur la langue du navigateur passent en anglais, et forcément, il me demande de traduire le français en anglais...
Le pire c'est que quand je lance le "Language Support", la fenêtre apparaît, une barre de progression apparaît, et plus rien, elle disparaît...
Je n'avais aucun problème avant, je suis sur Ubuntu 10.04, et je pense que le problème vient d'une mise à jour que j'ai faite, car il est passé en anglais après un redémarrage dû aux mises à jours.

Je suis novice en Ubuntu, merci d'avance de m'aider.

Dernière modification par Aurekill (Le 26/08/2010, à 11:29)

Hors ligne

#2 Le 23/08/2010, à 13:09

jrev

Re : [Résolu] Problème : Mon Ubuntu est passé en anglais tout seul !

le mieux est d'installer le supplément langue Française et pour cela aller dans le menu :
System/Administration/prise en charge des langues

prise en charge des langues = "language support" en anglais si tous tes menus sont en anglais.
Cela veut dire que tu n'as pas sélectionné la langue française lors de l'installation
smile

Dernière modification par jrev (Le 23/08/2010, à 13:09)


Mal nommer les choses, c'est ajouter au malheur du monde

Hors ligne

#3 Le 23/08/2010, à 13:21

Aurekill

Re : [Résolu] Problème : Mon Ubuntu est passé en anglais tout seul !

Tu n'as pas compris, j'ai du mal expliquer...
Le "Language support", je ne peux pas le lancer, et j'ai ubuntu 10.04 depuis 3 mois, avant il était en français et Firefox se lançait !

Hors ligne

#4 Le 23/08/2010, à 19:05

jrev

Re : [Résolu] Problème : Mon Ubuntu est passé en anglais tout seul !

Si tu n'as plus accès aux commandes "administrateur" il faut te recréer un utilisateur "root" qui a les droits de sudo smile


Mal nommer les choses, c'est ajouter au malheur du monde

Hors ligne

#5 Le 24/08/2010, à 14:12

tshirtman

Re : [Résolu] Problème : Mon Ubuntu est passé en anglais tout seul !

non non, pas besoin de créer un utilisateur root… quand tu te connecte à ta session à l'écran de connexion, en bas de l'écran, tu as un choix de langue, celui ci est il bien sur français?

Hors ligne

#6 Le 24/08/2010, à 21:25

Aurekill

Re : [Résolu] Problème : Mon Ubuntu est passé en anglais tout seul !

Avant, il était sur "unspecified" et une suite de chiffres, mais j'ai remis en français et c'est exactement comme avant...
J'ai redemarré pour verifier, toujours pareil.

Hors ligne

#7 Le 25/08/2010, à 07:17

tshirtman

Re : [Résolu] Problème : Mon Ubuntu est passé en anglais tout seul !

bonjour, désolé du temps de réponse,

le fait que l'installation de la prise en charge des langues plante semble indiquer qu'il y a un problème dans la gestion des paquets, peut tu ouvrir un terminal (applications→accessoires→terminal) et me renvoyer le résultat de:

sudo aptitude update
sudo aptitude safe-upgrade

(en tapant ton mot de passe quand il est demandé, rien ne s'affiche, c'est normal)

Hors ligne

#8 Le 25/08/2010, à 12:19

Aurekill

Re : [Résolu] Problème : Mon Ubuntu est passé en anglais tout seul !

Je suis débutant, hein, mais pas à ce point là, je connais un peu quand même les commandes de base, et le terminal je m'en sers régulièrement, en fait j'avais mis ça surtout pour avoir plus de réponses, c'est donc de ma faute...
Bon, le résultat du sudo aptitude update :

Hit http://fr.archive.ubuntu.com lucid Release.gpg
Get:1 http://fr.archive.ubuntu.com lucid-updates Release.gpg [189B]             
Hit http://fr.archive.ubuntu.com lucid Release                                  
Hit http://security.ubuntu.com lucid-security Release.gpg                       
Hit http://ppa.launchpad.net lucid Release.gpg                       
Hit http://ppa.launchpad.net lucid Release.gpg                       
Hit http://archive.canonical.com lucid Release.gpg                   
Get:2 http://fr.archive.ubuntu.com lucid-updates Release [44.7kB]               
Hit http://security.ubuntu.com lucid-security Release                           
Hit http://ppa.launchpad.net lucid Release                                      
Hit http://archive.canonical.com lucid Release                                  
Hit http://ppa.launchpad.net lucid Release                                      
Hit http://security.ubuntu.com lucid-security/main Packages                     
Hit http://archive.canonical.com lucid/partner Packages                         
Hit http://ppa.launchpad.net lucid/main Packages                                
Hit http://security.ubuntu.com lucid-security/restricted Packages           
Hit http://security.ubuntu.com lucid-security/main Sources
Hit http://ppa.launchpad.net lucid/main Packages                            
Hit http://security.ubuntu.com lucid-security/restricted Sources            
Hit http://security.ubuntu.com lucid-security/universe Packages
Hit http://security.ubuntu.com lucid-security/universe Sources
Hit http://security.ubuntu.com lucid-security/multiverse Packages
Hit http://security.ubuntu.com lucid-security/multiverse Sources      
Hit http://fr.archive.ubuntu.com lucid/main Packages                  
Hit http://fr.archive.ubuntu.com lucid/restricted Packages
Hit http://fr.archive.ubuntu.com lucid/main Sources
Hit http://fr.archive.ubuntu.com lucid/restricted Sources
Hit http://fr.archive.ubuntu.com lucid/universe Packages
Hit http://fr.archive.ubuntu.com lucid/universe Sources
Hit http://fr.archive.ubuntu.com lucid/multiverse Packages
Hit http://fr.archive.ubuntu.com lucid/multiverse Sources
Get:3 http://fr.archive.ubuntu.com lucid-updates/main Packages [283kB]
Get:4 http://fr.archive.ubuntu.com lucid-updates/restricted Packages [3252B]
Get:5 http://fr.archive.ubuntu.com lucid-updates/main Sources [103kB]
Get:6 http://fr.archive.ubuntu.com lucid-updates/restricted Sources [1292B]
Get:7 http://fr.archive.ubuntu.com lucid-updates/universe Packages [104kB]
Get:8 http://fr.archive.ubuntu.com lucid-updates/universe Sources [34.9kB]
Get:9 http://fr.archive.ubuntu.com lucid-updates/multiverse Packages [3771B]
Get:10 http://fr.archive.ubuntu.com lucid-updates/multiverse Sources [1508B]
Fetched 580kB in 1s (304kB/s)                      
Reading package lists... Done

Current status: 6 updates [+6].

Et pour le sudo aptitude safe-upgrade

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Reading extended state information      
Initializing package states... Done
The following packages will be upgraded:
  ghostscript ghostscript-cups ghostscript-x libgs8 libkpathsea5 ubufox 
6 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 3467kB of archives. After unpacking 0B will be used.
Do you want to continue? [Y/n/?] y
Writing extended state information... Done
Get:1 http://fr.archive.ubuntu.com/ubuntu/ lucid-updates/main ghostscript 8.71.dfsg.1-0ubuntu5.3 [785kB]
Get:2 http://fr.archive.ubuntu.com/ubuntu/ lucid-updates/main libgs8 8.71.dfsg.1-0ubuntu5.3 [2370kB]
Get:3 http://fr.archive.ubuntu.com/ubuntu/ lucid-updates/main ghostscript-cups 8.71.dfsg.1-0ubuntu5.3 [51.7kB]
Get:4 http://fr.archive.ubuntu.com/ubuntu/ lucid-updates/main ghostscript-x 8.71.dfsg.1-0ubuntu5.3 [69.3kB]
Get:5 http://fr.archive.ubuntu.com/ubuntu/ lucid-updates/main libkpathsea5 2009-5ubuntu0.2 [130kB]
Get:6 http://fr.archive.ubuntu.com/ubuntu/ lucid-updates/main ubufox 0.9~rc2-0ubuntu2.1 [61.2kB]
Fetched 3467kB in 5s (614kB/s) 
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LANG = "fr_LU.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Ne peut initialiser LC_ALL �� la locale par d��faut: Aucun fichier ou dossier de ce type
(Reading database ... 212174 files and directories currently installed.)
Preparing to replace ghostscript 8.71.dfsg.1-0ubuntu5.2 (using .../ghostscript_8.71.dfsg.1-0ubuntu5.3_i386.deb) ...
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LANG = "fr_LU.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
Cleaning up font configuration of gs...
Cleaning up category psprint..
Cleaning up category cmap..
Cleaning up category cid..
Cleaning up category truetype..
Cleaning up category gsfontderivative..
Cleaning up category type3..
Cleaning up category type1..
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LANG = "fr_LU.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
Unpacking replacement ghostscript ...
Preparing to replace libgs8 8.71.dfsg.1-0ubuntu5.2 (using .../libgs8_8.71.dfsg.1-0ubuntu5.3_i386.deb) ...
Unpacking replacement libgs8 ...
Preparing to replace ghostscript-cups 8.71.dfsg.1-0ubuntu5.2 (using .../ghostscript-cups_8.71.dfsg.1-0ubuntu5.3_i386.deb) ...
Unpacking replacement ghostscript-cups ...
Preparing to replace ghostscript-x 8.71.dfsg.1-0ubuntu5.2 (using .../ghostscript-x_8.71.dfsg.1-0ubuntu5.3_i386.deb) ...
Unpacking replacement ghostscript-x ...
Preparing to replace libkpathsea5 2009-5ubuntu0.1 (using .../libkpathsea5_2009-5ubuntu0.2_i386.deb) ...
Unpacking replacement libkpathsea5 ...
Preparing to replace ubufox 0.9~rc2-0ubuntu2 (using .../ubufox_0.9~rc2-0ubuntu2.1_all.deb) ...
Unpacking replacement ubufox ...
Processing triggers for man-db ...
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LANG = "fr_LU.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Ne peut initialiser LC_ALL �� la locale par d��faut: Aucun fichier ou dossier de ce type
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LANG = "fr_LU.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
/usr/bin/mandb: can't set the locale; make sure $LC_* and $LANG are correct
Setting up libgs8 (8.71.dfsg.1-0ubuntu5.3) ...

Setting up ghostscript (8.71.dfsg.1-0ubuntu5.3) ...
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LANG = "fr_LU.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
update-alternatives: using /usr/bin/ps2pdf14 to provide /usr/bin/ps2pdf (ps2pdf) in auto mode.
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LANG = "fr_LU.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LANG = "fr_LU.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LANG = "fr_LU.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LANG = "fr_LU.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
Updating font configuration of gs...
Cleaning up category psprint..
Cleaning up category cmap..
Cleaning up category cid..
Cleaning up category truetype..
Cleaning up category gsfontderivative..
Cleaning up category type3..
Cleaning up category type1..
Updating category type1..
Updating category type3..
Updating category gsfontderivative..
Updating category truetype..
Updating category cid..
Updating category cmap..
Updating category psprint..
No CIDSupplement specified for Batang-Bold, defaulting to 0.
No CIDSupplement specified for Batang-Regular, defaulting to 0.
No CIDSupplement specified for Dotum-Regular, defaulting to 0.
No CIDSupplement specified for Dotum-Bold, defaulting to 0.

Setting up ghostscript-cups (8.71.dfsg.1-0ubuntu5.3) ...
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LANG = "fr_LU.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LANG = "fr_LU.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LANG = "fr_LU.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LANG = "fr_LU.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LANG = "fr_LU.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LANG = "fr_LU.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").

Setting up ghostscript-x (8.71.dfsg.1-0ubuntu5.3) ...
Setting up libkpathsea5 (2009-5ubuntu0.2) ...

Setting up ubufox (0.9~rc2-0ubuntu2.1) ...

Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Reading package lists... Done             
Building dependency tree       
Reading state information... Done
Reading extended state information      
Initializing package states... Done

Current status: 0 updates [-6].

Voilà ! Par contre, je sais pas interpréter.

Dernière modification par Aurekill (Le 25/08/2010, à 12:20)

Hors ligne

#9 Le 25/08/2010, à 12:59

tooguy66

Re : [Résolu] Problème : Mon Ubuntu est passé en anglais tout seul !

slt
éventuellement cette commande peut-elle réparer?

dpkg-reconfigure locales


Dualboot Windows seven & ubuntu 14.04 64bit
gigabyte M720-US3 athlon II x4 620 6gb ram GeForce 520 1gio

Hors ligne

#10 Le 25/08/2010, à 16:10

Aurekill

Re : [Résolu] Problème : Mon Ubuntu est passé en anglais tout seul !

Qu'est-ce que c'est censé faire ? Je l'ai fait en root et j'ai ça :

perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LANG = "fr_LU.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Ne peut initialiser LC_ALL �� la locale par d��faut: Aucun fichier ou dossier de ce type
Generating locales...
  en_AG.UTF-8... done
  en_AU.UTF-8... done
  en_BW.UTF-8... done
  en_CA.UTF-8... done
  en_DK.UTF-8... done
  en_GB.UTF-8... done
  en_HK.UTF-8... done
  en_IE.UTF-8... done
  en_IN.UTF-8... done
  en_NG.UTF-8... done
  en_NZ.UTF-8... done
  en_PH.UTF-8... done
  en_SG.UTF-8... done
  en_US.UTF-8... done
  en_ZA.UTF-8... done
  en_ZW.UTF-8... done
  fr_BE.UTF-8... done
  fr_CA.UTF-8... done
  fr_CH.UTF-8... done
  fr_FR.UTF-8... done
  fr_LU.UTF-8... done
Generation complete.

Hors ligne

#11 Le 25/08/2010, à 16:25

ilka

Re : [Résolu] Problème : Mon Ubuntu est passé en anglais tout seul !

Bonjour,
Je connaissais le même souci, à savoir que l'écran splash/login était en français, mais le bureau gnome était en anglais. Quand à la commande Language-support du menu System\Adminstration, elle plantait à chaque fois.

Voilà comme j'ai résolu la chose : 
1- j'ai réinstallé les languages-pack-fr via synaptics

2- j'ai lancé en root un

sudo dpkg-reconfigure locales

et tout s'est bien déroulé, avec un OK final, et des variables en fr "up-to-date",

3- j'ai fait ensuite un

sudo apt-get update

ce qui a téléchargé 1024 ko de paquets langues

4- je me suis déconnecté puis reconnecté, et tout fonctionne apparemment en français !

Ceci dit, je ne comprends pas trop, pourquoi ce problème a pu survenir de manière si intempestive.

Dernière modification par ilka (Le 25/08/2010, à 16:48)

Hors ligne

#12 Le 25/08/2010, à 22:24

Aurekill

Re : [Résolu] Problème : Mon Ubuntu est passé en anglais tout seul !

Je t'aime trés beaucoup !:D:D
Tu as réglé mon problème, mais mon Mozilla Firefox refuse toujours de se lancer...
Merci beaucoup ilka !

Hors ligne

#13 Le 26/08/2010, à 10:20

tshirtman

Re : [Résolu] Problème : Mon Ubuntu est passé en anglais tout seul !

cool smile

pour firefox c'est un problème différent donc ouvre plutôt un autre topic et passe celui ci en résolu, merci smile

Hors ligne

#14 Le 31/03/2011, à 19:50

Nolin

Re : [Résolu] Problème : Mon Ubuntu est passé en anglais tout seul !

Bonjour j'ai le meme probléme donc j'ai essayé ce que tu as dis ilka mais  je ne trouve pas le pack sur synaptics
si tu avais un lien ou un moyen de les trouver tu serais cool.
je suis sous ubuntu 10.10

Hors ligne

Haut de page ↑